This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700587 - Review Request: surfer - visualization of algebraic geometry
Review Request: surfer - visualization of algebraic geometry
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 697680
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 14:04 EDT by Jerry James
Modified: 2012-05-04 16:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 16:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2011-04-28 14:04:32 EDT
Spec URL: http://jjames.fedorapeople.org/surfer/surfer.spec
SRPM URL: http://jjames.fedorapeople.org/surfer/surfer-0.0.304-1.fc14.src.rpm
Description: Surfer is a program to visualize real algebraic geometry in real-time.  The surfaces visualized are given by the zero set of a polynomial equation in 3 variables.  Surfer is based on the program Surf (surf-geometry in Fedora, due to a name clash) and has been developed for the exhibition IMAGINARY, organized by the Mathematisches Forschungsinstitut Oberwolfach and created for the Year of Mathematics 2008 in Germany.

This package is an optional component of SINGULAR, which is a component of SAGE.
Comment 1 Mario Blättermann 2011-05-08 07:00:38 EDT
%{_datadir}/surfer
%exclude %{_datadir}/surfer/gallery

These directories and their contents are not properly owned by your package. Please put a / after the name to do so.

http://fedoraproject.org/wiki/Packaging:UnownedDirectories#Wildcarding_Files_inside_a_Created_Directory
Comment 2 Martin Gieseking 2011-05-08 14:12:43 EDT
(In reply to comment #1)

> These directories and their contents are not properly owned by your package.
> Please put a / after the name to do so.

The trailing slash is optional. It doesn't add any semantics to the path expression. However, it could help packagers to visually distinguish between files and folders.
Comment 3 Mario Blättermann 2011-05-08 15:00:16 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> > These directories and their contents are not properly owned by your package.
> > Please put a / after the name to do so.
> 
> The trailing slash is optional. It doesn't add any semantics to the path
> expression. However, it could help packagers to visually distinguish between
> files and folders.

Anyway, this is the style as mentioned in the packaging guidelines. And yes, it helps packagers and reviewers, really. Sometimes it is difficult to keep track of the validity in the filelist.
Comment 4 Jerry James 2011-05-19 11:45:36 EDT
(In reply to comment #1)
> %{_datadir}/surfer
> %exclude %{_datadir}/surfer/gallery
> 
> These directories and their contents are not properly owned by your package.
> Please put a / after the name to do so.

That is incorrect.  Those directories and their contents ARE properly owned by the package, as I already pointed out when you made the same comment about the surf-geometry package.  Please stop making this false claim.
Comment 5 Mario Blättermann 2011-05-31 16:02:14 EDT
Sorry for the blurb. The folder are properly owned by your package. I was a bit mislead by the packaging guidelines.
Comment 6 Jerry James 2012-05-04 16:45:08 EDT
Further experience shows that this software is too unstable, and upstream is essentially dead.  I am withdrawing this review request.  Users of Singular will have to look elsewhere for a visualizer.

Note You need to log in before you can comment on or make changes to this bug.